object DM: TDM
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  OnDestroy = DataModuleDestroy
  Left = 274
  Top = 212
  Height = 480
  Width = 696
  object DBListeDB: TDatabase
    AliasName = 'DBDEMOS'
    Connected = True
    DatabaseName = 'DBDEMOS'
    LoginPrompt = False
    SessionName = 'Default'
    Left = 35
    Top = 30
  end
  object DSTblEmployes: TDataSource
    DataSet = TblEmployes
    Left = 35
    Top = 90
  end
  object TblEmployes: TTable
    DatabaseName = 'DBDEMOS'
    TableName = 'employee.db'
    Left = 115
    Top = 90
    object TblEmployesEmpNo: TIntegerField
      FieldName = 'EmpNo'
    end
    object TblEmployesLastName: TStringField
      FieldName = 'LastName'
    end
    object TblEmployesFirstName: TStringField
      FieldName = 'FirstName'
      Size = 15
    end
    object TblEmployesPhoneExt: TStringField
      FieldName = 'PhoneExt'
      Size = 4
    end
    object TblEmployesHireDate: TDateTimeField
      FieldName = 'HireDate'
    end
    object TblEmployesSalary: TFloatField
      FieldName = 'Salary'
    end
  end
  object DSQOrders: TDataSource
    DataSet = QOrders
    Left = 30
    Top = 160
  end
  object QOrders: TQuery
    DatabaseName = 'DBDEMOS'
    SQL.Strings = (
      'select * '
      'from orders'
      'where EmpNo= :NumEmployee'
      'Order by AmountPaid DESC')
    Left = 110
    Top = 160
    ParamData = <
      item
        DataType = ftInteger
        Name = 'NumEmployee'
        ParamType = ptUnknown
        Value = 114
      end>
    object QOrdersOrderNo: TFloatField
      FieldName = 'OrderNo'
      Origin = 'DBDEMOS."orders.DB".OrderNo'
    end
    object QOrdersCustNo: TFloatField
      FieldName = 'CustNo'
      Origin = 'DBDEMOS."orders.DB".CustNo'
    end
    object QOrdersSaleDate: TDateTimeField
      FieldName = 'SaleDate'
      Origin = 'DBDEMOS."orders.DB".SaleDate'
    end
    object QOrdersShipDate: TDateTimeField
      FieldName = 'ShipDate'
      Origin = 'DBDEMOS."orders.DB".ShipDate'
    end
    object QOrdersEmpNo: TIntegerField
      FieldName = 'EmpNo'
      Origin = 'DBDEMOS."orders.DB".EmpNo'
    end
    object QOrdersShipToContact: TStringField
      FieldName = 'ShipToContact'
      Origin = 'DBDEMOS."orders.DB".ShipToContact'
    end
    object QOrdersShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Origin = 'DBDEMOS."orders.DB".ShipToAddr1'
      Size = 30
    end
    object QOrdersShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Origin = 'DBDEMOS."orders.DB".ShipToAddr2'
      Size = 30
    end
    object QOrdersShipToCity: TStringField
      FieldName = 'ShipToCity'
      Origin = 'DBDEMOS."orders.DB".ShipToCity'
      Size = 15
    end
    object QOrdersShipToState: TStringField
      FieldName = 'ShipToState'
      Origin = 'DBDEMOS."orders.DB".ShipToState'
    end
    object QOrdersShipToZip: TStringField
      FieldName = 'ShipToZip'
      Origin = 'DBDEMOS."orders.DB".ShipToZip'
      Size = 10
    end
    object QOrdersShipToCountry: TStringField
      FieldName = 'ShipToCountry'
      Origin = 'DBDEMOS."orders.DB".ShipToCountry'
    end
    object QOrdersShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Origin = 'DBDEMOS."orders.DB".ShipToPhone'
      Size = 15
    end
    object QOrdersShipVIA: TStringField
      FieldName = 'ShipVIA'
      Origin = 'DBDEMOS."orders.DB".ShipVIA'
      Size = 7
    end
    object QOrdersPO: TStringField
      FieldName = 'PO'
      Origin = 'DBDEMOS."orders.DB".PO'
      Size = 15
    end
    object QOrdersTerms: TStringField
      FieldName = 'Terms'
      Origin = 'DBDEMOS."orders.DB".Terms'
      Size = 6
    end
    object QOrdersPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Origin = 'DBDEMOS."orders.DB".PaymentMethod'
      Size = 7
    end
    object QOrdersItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
      Origin = 'DBDEMOS."orders.DB".ItemsTotal'
    end
    object QOrdersTaxRate: TFloatField
      FieldName = 'TaxRate'
      Origin = 'DBDEMOS."orders.DB".TaxRate'
    end
    object QOrdersFreight: TCurrencyField
      FieldName = 'Freight'
      Origin = 'DBDEMOS."orders.DB".Freight'
    end
    object QOrdersAmountPaid: TCurrencyField
      FieldName = 'AmountPaid'
      Origin = 'DBDEMOS."orders.DB".AmountPaid'
    end
  end
  object DSTblItems: TDataSource
    DataSet = TblItems
    Left = 30
    Top = 225
  end
  object TblItems: TTable
    DatabaseName = 'DBDEMOS'
    IndexFieldNames = 'OrderNo'
    MasterFields = 'OrderNo'
    MasterSource = DSQOrders
    TableName = 'items.db'
    Left = 110
    Top = 225
    object TblItemsOrderNo: TFloatField
      FieldName = 'OrderNo'
    end
    object TblItemsItemNo: TFloatField
      FieldName = 'ItemNo'
    end
    object TblItemsPartNo: TFloatField
      FieldName = 'PartNo'
    end
    object TblItemsQty: TIntegerField
      FieldName = 'Qty'
    end
    object TblItemsDiscount: TFloatField
      FieldName = 'Discount'
    end
  end
  object ImgToolBar: TImageList
    Height = 18
    Width = 18
    Left = 115
    Top = 30
    Bitmap = {
      494C010103000400040012001200FFFFFFFFFF00FFFFFFFFFFFFFFFF424D3600
      000000000000360000002800000048000000120000000100180000000000300F
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00FFFFFFFFFFFF000000000000FFFFFFFFFFFF000000000000FFFFFFFFFFFF00
      0000000000C0C0C0C0C0C0000000000000C0C0C0FFFFFFFFFFFFFFFFFF000000
      000000FFFFFFFFFFFF000000000000FFFFFFFFFFFF000000000000C0C0C0C0C0
      C0000000000000C0C0C000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000FFFFFF000000000000FF
      FFFFFFFFFF000000000000FFFFFFFFFFFF000000000000000000808080000000
      0000008080808080800000000000000000000000000000000000000000000000
      00000000000000C0C0C0000000C0C0C080808080808000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000FFFFFFFFFFFF000000000000FFFFFF
      FFFFFF000000000000FFFFFF000000C0C0C00000000000008080800000000000
      00808080FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00000080808080808080
      8080000000C0C0C0808080808080808080000000FFFFFFFFFFFF000000000000
      0000000000000000000000000000000000008080808080800000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000808080808080000000000000000000000000
      000000000000FFFFFF000000000000FFFFFFFFFFFF000000000000FFFFFFFFFF
      FF000000000000C0C0C0808080000000000000808080808080000000FFFFFF00
      00000000FF0000000000FF0000FF000000808080808080808080000000C0C0C0
      808080808080808080000000FFFFFFFFFFFF0000000000000000000000000000
      0000000000000080000080000080808000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000FFFFFF8000008000008080800000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000C0C0C0000000C0
      C0C0808080808080000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF
      FFFFFFFFFFFF000000808080808080808080808080808080808080000000C0C0
      C0000000FFFFFFFFFFFF00000000000000000000000000000000000080000080
      0000800000808080000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000000000000000000FFFFFF8000
      0080000080000080808000000000000000000000000000000000000000000000
      0000000000000000000000C0C0C0C0C0C0000000000000C0C0C0808080808080
      808080000000000000000000C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0000000000000000000000000000000800000800000800000800000808080
      8080808080808080808080808080808080808080800000000000000000000000
      00808080808080808080808080808080808080C0C0C080000080000080000080
      0000808080000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000C0C0C08080808080808080800000000000
      00000000C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0EEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE000000000000
      0000000000008000008000008000008000008000008000008000008000008000
      00800000800000800000808080000000000000000000FFFFFF80000080000080
      0000800000800000800000800000800000800000800000800000800000808080
      0000000000000000000000000000000000000000000000000000008080808080
      80808080000000C0C0C0808080808080808080000000000000000000EEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE0000000000000000008000008000
      0080000080000080000080000080000080000080000080000080000080000080
      0000808080000000000000000000FFFFFF800000800000800000800000800000
      8000008000008000008000008000008000008000008000008080800000000000
      00000000000000000000000000000000000000808080808080808080000000C0
      C0C0808080808080808080000000000000000000EEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEE000000000000FFFFFF80000080000080000080000080
      0000800000800000800000800000800000800000800000800000808080000000
      000000000000FFFFFF8000008000008000008000008000008000008000008000
      0080000080000080000080000080000000000000000000000000000000000000
      0000000000000000000000000000000000808080000000C0C0C0000000808080
      808080000000000000000000EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEE000000000000FFFFFFFFFFFF800000800000800000800000800000800000
      800000800000800000800000800000800000808080000000000000000000FFFF
      FF80000080000080000080000080000080000080000080000080000080000080
      00008000000000000000000000000000000000000000000000FF0000FF0000FF
      0000FF0000FF000000808080000000C0C0C08080808080808080800000000000
      00000000C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0C0C0C0808080FFFFFFC0C0C0C0C0C0C0C0C0C0C0C0C0C0C0000000000000
      000000FFFFFFFFFFFF800000800000800000800000C0C0C0FFFFFFFFFFFFFFFF
      FFFFFFFFFFFFFFFFFFFF000000000000000000000000FFFFFFFFFFFFFFFFFFFF
      FFFFFFFFFFFFFFFFFFFFFFFFFFFF800000800000800000800000000000000000
      0000000000000000000000000000FF0000FF0000FF0000FF0000FF0000008080
      80808080000000C0C0C0808080808080808080000000000000000000C0C0C0C0
      C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0000000000000000000000000FFFF
      FFFFFFFF80000080000080000080808000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000FFFFFF8000008000008000000000000000000000000000000000000000
      000000000000FF0000000000FF0000FF000000808080808080808080000000C0
      C0C0808080808080808080000000000000000000EEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEE000000000000000000000000000000FFFFFFFFFFFF80
      0000800000808080000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000000000000000000FFFFFF8000
      0080000000000000000000000000000000000000000000000000000000000000
      00000000FF000000000000808080808080808080000000C0C0C0808080808080
      808080000000000000000000C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
      C0C0000000000000000000000000000000000000FFFFFFFFFFFFFFFFFF000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000FFFFFFFFFFFF00000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000808080808080808080808080000000C0C0C08080808080800000000000
      00000000C0C0C0EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEDFDFDFFFFFFF000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000008080808080
      80808080808080808080000000C0C0C0808080000000000000000000EEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000080808080808080808080808080
      8080808080000000C0C0C0000000000000000000EEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEE00000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
      EEEE424D3E000000000000003E00000028000000480000001200000001000100
      00000000D80000000000000000000000000000000000000000000000FFFFFF00
      FFFFFFFFF800000000000000FFFFFFFFF000000000000000FFFFFFFFF0000000
      00000000FF3FFFF3F000000000000000FE3FFFE1F000000000000000FC3FFFE0
      FFC00C0000000000F80078007FC00C0000000000F00070003FC00C0000000000
      E00070001FC00D0000000000C00070003C000C5753000000C00070007C000F53
      5C000000E000F000F8000C0043000000F03FFFE1F8000F59FB000000F83FFFE3
      F8000F7E6B000000FC7FFFE7FE400E0000000000FFFFFFFFFFC00C0000000000
      FFFFFFFFFFC00C0000000000FFFFFFFFFFC00F0332000000}
  end
end
