unit DMFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, Db, ImgList;

type
  TDM = class(TDataModule)
    DBListeDB: TDatabase;
    DSTblEmployes: TDataSource;
    TblEmployes: TTable;
    TblEmployesEmpNo: TIntegerField;
    TblEmployesLastName: TStringField;
    TblEmployesFirstName: TStringField;
    TblEmployesPhoneExt: TStringField;
    TblEmployesHireDate: TDateTimeField;
    TblEmployesSalary: TFloatField;
    DSQOrders: TDataSource;
    QOrders: TQuery;
    QOrdersOrderNo: TFloatField;
    QOrdersCustNo: TFloatField;
    QOrdersSaleDate: TDateTimeField;
    QOrdersShipDate: TDateTimeField;
    QOrdersEmpNo: TIntegerField;
    QOrdersShipToContact: TStringField;
    QOrdersShipToAddr1: TStringField;
    QOrdersShipToAddr2: TStringField;
    QOrdersShipToCity: TStringField;
    QOrdersShipToState: TStringField;
    QOrdersShipToZip: TStringField;
    QOrdersShipToCountry: TStringField;
    QOrdersShipToPhone: TStringField;
    QOrdersShipVIA: TStringField;
    QOrdersPO: TStringField;
    QOrdersTerms: TStringField;
    QOrdersPaymentMethod: TStringField;
    QOrdersItemsTotal: TCurrencyField;
    QOrdersTaxRate: TFloatField;
    QOrdersFreight: TCurrencyField;
    QOrdersAmountPaid: TCurrencyField;
    DSTblItems: TDataSource;
    TblItems: TTable;
    TblItemsOrderNo: TFloatField;
    TblItemsItemNo: TFloatField;
    TblItemsPartNo: TFloatField;
    TblItemsQty: TIntegerField;
    TblItemsDiscount: TFloatField;
    ImgToolBar: TImageList;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  DM: TDM;

implementation

{$R *.DFM}

//******************************************************************************
//*
//*
//*
//******************************************************************************
procedure TDM.DataModuleCreate(Sender: TObject);
begin
     DBListeDb.Connected := True;
     TblEmployes.Open;
end;
//******************************************************************************
//*
//*
//*
//******************************************************************************
procedure TDM.DataModuleDestroy(Sender: TObject);
begin
     DBListeDb.CloseDataSets;
     DBListeDB.Connected := False;
end;
//******************************************************************************
//* c'est fini
//*
//*
//******************************************************************************
end.
